# Using Human-Centered Artificial Intelligence to Assess Personal Qualities in College Admissions

## Authors
Benjamin Lira1,*, Margo Gardner2, Abigail Quirk1, Cathlyn Stone2, Arjun Rao2, Lyle Ungar1, Stephen Hutt3, Sidney K. D’Mello2,†, and Angela L. Duckworth1,†

1. University of Pennsylvania
2. University of Colorado-Boulder
3. University of Denver

\* Corresponding author: blira@sas.upenn.edu

† These authors share equal senior authorship

## Abstract
There is mounting evidence that personal qualities predict an array of life outcomes, including success in college. Unfortunately, the holistic process by which prosocial purpose, leadership, and other personal qualities are considered in college admissions can be prohibitively resource-intensive. Artificial intelligence (AI) methods could potentially improve this process, but have been criticized as a “black box” approach that can inadvertently penalize already disadvantaged subgroups. As an alternative, we consider a Human-Centered Artificial Intelligence (HCAI) approach to assessing personal qualities from text. First, human raters coded 3,131 applicant essays describing out-of-school extracurricular and work experiences for seven different personal qualities. Next, a pretrained language model fine-tuned on this data successfully reproduced human codes (average r = 0.72) and did so equally well across demographic subgroups. Finally, in a larger, national sample (N = 309,594), computer-generated scores collectively demonstrated incremental predictive validity for six-year college graduation. Taken together, our findings highlight both challenges and opportunities of HCAI for the efficient, equitable, and interpretable assessment of personal qualities. 

## Scripts
View the scripts folder in this [repo](https://github.com/lirabenjamin/personal_qualities) to access analytic files.
